Body Params
| Name | Type | Required | Description | Default |
|---|---|---|---|---|
botId | string | Required | ID của chatbot | - |
keyword | string | Optional | Từ khóa tìm kiếm | - |
userId | number | Required | ID người dùng | - |
Path Params
| Name | Type | Required | Description | Default |
|---|
Query Params
| Name | Type | Required | Description | Default |
|---|
Headers
| Header | Required | Description | Example |
|---|---|---|---|
Authorization | Required | Bearer token xác thực | Bearer <token> |
Response
200Lấy danh sách đoạn hội thoại thành công
| Trường | Kiểu | Mô tả |
|---|---|---|
| data | array | Danh sách các đoạn hội thoại |
| data[].transactionId | string | ID giao dịch |
| data[].title | string | Tiêu đề hội thoại |
| data[].createdAt | string | Thời gian tạo (ISO 8601) |
| data[].createdBy | string | Người tạo |
| data[].botId | string | ID chatbot |
| data[].userId | number | ID người dùng |
| resultCode | string | Mã kết quả trả về |
| resultMsg | string | Thông báo kết quả |
401Không xác thực
| Trường | Kiểu | Mô tả |
|---|---|---|
| error | string | Thông báo lỗi xác thực |
example.title:
{
"200": {
"data": [
{
"transactionId": "transactionId",
"title": "xin chào",
"createdAt": "2025-06-20T03:26:30.079+00:00",
"createdBy": "SAMPLE_USER",
"botId": "botId",
"userId": 16980
}
],
"resultCode": "0",
"resultMsg": "Success"
}
}API Request
POST
https://troly.mobifone.vn/api/v1/am/chat/getChatHistoryTitlesTry It Out
Test Endpoint
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://troly.mobifone.vn/api/v1/am/chat/getChatHistoryTitles");
var body = new { botId = "", keyword = "", userId = 0 };
request.Content = new StringContent(JsonConvert.SerializeObject(body), Encoding.UTF8, "application/json");
request.Headers.Add("Authorization", "Bearer {{accessToken}}");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());